## org.hibernate.event.def
Class DefaultLockEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractLockUpgradeEventListener
              org.hibernate.event.def.DefaultLockEventListener

All Implemented Interfaces:
  Serializable, LockEventListener

    public class DefaultLockEventListener

extends AbstractLockUpgradeEventListener
implements LockEventListener

Defines the default lock event listeners used by hibernate to lock entities in response to generated lock events.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DefaultLockEventListener()`

Method Summary
`void` `onLock(LockEvent event)` Handle the given lock event.

Methods inherited from class org.hibernate.event.def.AbstractLockUpgradeEventListener
`upgradeLock`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLockEventListener

    public DefaultLockEventListener()

Method Detail

### onLock

    public void onLock(LockEvent event)
                throws HibernateException

  Handle the given lock event.

  Specified by:
    `onLock` in interface `LockEventListener`
  Parameters:
    `event` - The lock event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.